Abstract_Socket.cc File Reference
`#include "Abstract_Socket.hh"`
`#include <stdio.h>`
`#include <unistd.h>`
`#include <strings.h>`
`#include <stdlib.h>`
`#include <errno.h>`
`#include <netdb.h>`
`#include <sys/stat.h>`
`#include <netinet/tcp.h>`
`#include <arpa/inet.h>`
`#include <fcntl.h>`
`#include <poll.h>`

## Macros

#define | AS_TCP_CHUNCK_SIZE 4096
#define | AS_SSL_CHUNCK_SIZE 16384
#define | AS_DEADLOCK_COUNTER 16
#define | SSL_CHARBUF_LENGTH 256
#define | SSL_PRNG_LENGTH 1024
#define | NI_MAXHOST 1024
#define | NI_MAXSERV 32

## Macro Definition Documentation

## AS_DEADLOCK_COUNTER

#define AS_DEADLOCK_COUNTER 16

## AS_SSL_CHUNCK_SIZE

#define AS_SSL_CHUNCK_SIZE 16384

## AS_TCP_CHUNCK_SIZE

#define AS_TCP_CHUNCK_SIZE 4096

## NI_MAXHOST

#define NI_MAXHOST 1024

## NI_MAXSERV

#define NI_MAXSERV 32

## SSL_CHARBUF_LENGTH

#define SSL_CHARBUF_LENGTH 256

## SSL_PRNG_LENGTH

#define SSL_PRNG_LENGTH 1024